The client application is not approved

  • 1
  • Question
  • Updated 6 days ago
client applications registered but still getting this "error": "unauthorized_client",
    "error_description": "The client application is not approved" documentation is unclear about Headers
Photo of shozab haider

shozab haider

  • 4 Posts
  • 0 Reply Likes

Posted 2 weeks ago

  • 1
Photo of Vikas

Vikas, Software Engineer

  • 6 Posts
  • 2 Reply Likes
Hi Shozab,

Can you please share the email id associated with this client application?

Thanks,
Vikas
Photo of Vikas

Vikas, Software Engineer

  • 6 Posts
  • 2 Reply Likes
Hi Shozab,

I am not seeing any RightSignature account with this email id. Can you please reconfirm on the email id and the client app name?

Thanks,
Vikas
Photo of shozab haider

shozab haider

  • 3 Posts
  • 0 Reply Likes
Oliver@iconinc.co.uk is the email id and iconinc is the app name
Photo of Vikas

Vikas, Software Engineer

  • 6 Posts
  • 2 Reply Likes
Hi Shozab,

We were able to find your account in an older system. Can you please give us some more info about what request are you trying and which method are you using (oauth or secure token) ?

Thanks,
Vikas
Photo of shozab haider

shozab haider

  • 4 Posts
  • 0 Reply Likes
https://api.rightsignature.com/public/v1/reusable_templates/a_39505277_e3050c749eb440d8804dd9f0799fb... 
Authorization Basic d3IzSkNWZzYzT2cz..........
Body  { 
"message": "Please sign this",
  "expires_in": 30,
  "roles": [
    {
      "name": "signer1",
      "signer_name": "geoff"
    }
  ],
  "name": "This is the name of a document",
  "api_embed_width": "706",
  "api_embed_height": "500",
  "reusable_template": {
    "roles": [
      {
        "name": "signer1",
        "signer_name": "geoff"
      }
    ]
  }
}


Response {    "error": "unauthorized_client",
    "error_description": "The client application is not approved"

}

using secure token for api's

(Edited)
Photo of Vikas

Vikas, Software Engineer

  • 6 Posts
  • 2 Reply Likes
Hi Shozab,

We have two versions of RightSignature. The API documentation that you are referring to belongs to a newer version but your client application is registered with the old version.
The API documentation for the older version is available in your account under API section. Do give it a try and let us know how it goes.

Thanks,
Vikas
Photo of shozab haider

shozab haider

  • 4 Posts
  • 0 Reply Likes
i want to use "embed_document"  api which is in v1 couldn't see that in old docs.Plus why not my app on v1 by default?
(Edited)
Photo of shozab haider

shozab haider

  • 4 Posts
  • 0 Reply Likes
API Version is 1.4 why then my app is on older version